function mask=generate_extinctionmask(im,point)
% im=edf_read('full0000.edf');
% point.x=1591; point.y=1312;
global app
if ~exist('app','var')
  error('Please load the common/parameter file before using this function')
end

bb=app.bb.directbeam;
ext_axis=[bb(2) bb(2)+bb(4) bb(1) bb(1)+bb(3)];
im_ext=im(bb(2):bb(2)+bb(4),bb(1):bb(1)+bb(3));

%calculate the cones that emmanate from the selected point

% distance from diffraction spot to near and far edge of sample

sample_hbb=[850-20 1200+20];  % this should NOT be hardcoded like this!
sample_vbb=[780 1260];  % nor this!
sample_width=diff(sample_hbb);

% 111 8.6
% 002 9.9
% 220 14.1
% 311 16.5
% stainless steel a=3.61A 40keV

theta=[8.6 9.9 14.1 16.5];
tmp=calculate_twotheta(3.61,'FCC',40);
% this uses hashtables - very powerful, but perhaps a little too weird???
tmp=tmp.elements;
for n=1:length(tmp)
  theta(n)=tmp{n}.centre;
end

dist_rear=app.dist+(sample_width*app.pixelsize); % assume sample is cuboid
dist_front=app.dist-(sample_width*app.pixelsize);

rad_front=dist_front*tan(deg2rad(theta))/app.pixelsize;
rad_rear=dist_rear*tan(deg2rad(theta))/app.pixelsize;


tmask=zeros(size(im));
for n=1:length(rad_front)
 [xf{n},yf{n}]=circlepoints(point.x,point.y,rad_front(n),40);
 tmp_maskf=poly2mask(xf{n},yf{n},size(im,2),size(im,1));
 [xr{n},yr{n}]=circlepoints(point.x,point.y,rad_rear(n),40);
 tmp_maskr=poly2mask(xr{n},yr{n},size(im,2),size(im,1));
 tmask=tmask | xor(tmp_maskr,tmp_maskf);
end
 
mask=zeros(size(im));
mask(tmask)=1;


return


% calc theta and eta
point2=ginput(1);% grain in image2

offset=point_mirror-point2;
Theta=atan((sqrt(offset*offset'))/(10/0.0014));
Theta=(Theta*180/pi)/2;%divide by 2 for 2theta -> theta

Eta=atan2(offset(1,1),offset(1,2))*180/pi;
if Eta<0
  Eta=360+Eta;
end


Theta
Eta

