function gtnew_run_auto_find(first,last,wdir)
if isdeployed
  global GT_DB
  global GT_MATLAB_HOME
  load('workspaceGlobal.mat');
  first=str2double(first);
  last=str2double(last);
end
cd(wdir)
parameters=[];
if isempty(parameters)
  load('parameters.mat');
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   SIZE ORDERING
%%%%%%%%%%%%%%%%%%%%%%%%%%%
mym('open','mysql.esrf.fr','gtuser','gtuser');
mym('use graintracking');
[remaining]=mym(sprintf('select difspotID from %sdifspot where difspotID>=first and difspotID<=last order by Area desc',parameters.acq.name))



savesuffix=[num2str(first) '_' num2str(last)];
savesuffix='greg';


for i=1:length(remaining)
  try 
    fprintf('~~~~~~DOING %d %d~~~~~~~~~', i,remaining(i))
    auto_find_db_enabled(remaining(i)+first-1,savesuffix,parameters);
    fprintf('~~~~~~~~DONE OK~~~~~~~~\n\n\n');
  catch
    fprintf('~~~~~~~~~SPOT UNFINISHED~~~~~~~~~~\n')
    lasterr
    fprintf('\n\n\n');
  end
end




