function gtUpdateDifspotGrainIDs(grain, parameters)


%if it doesn't already exist, we may need to add a grainid column to
%difspot table
[a,b,c,d,e,f]=mym(sprintf('show columns from %sdifspot like "grainID"',parameters.acq.name));
if isempty(a)
  %add the field
  mym(sprintf('ALTER TABLE graintracking.%sdifspot ADD COLUMN grainID INT AFTER integral', parameters.acq.name));
  disp('adding grainID field to the difspot table')
end


%then loop through, updating according to the grain structure information
for i=1:length(grain)
  disp(sprintf('doing grain %d', i))
  ids=grain{i}.difspots;
  for j=1:length(ids)
      mysqlcmd=dbUpdate(sprintf('%sdifspot',parameters.acq.name),'difspotID',ids(j),'GrainID',i);
      mym(mysqlcmd);
  end 
end
