function im=backpro_3D(parameters,grain);

    wd=pwd;
    dir=sprintf('%s/4_grains/grain%d_',parameters.acq.dir,grain.id);
	cd(dir);
	
	z1=round(grain.center(3))-1;
	nz=3;
	x1=-parameters.acq.bb(3)/2-0.5;
	nx=parameters.acq.bb(3);
	y1=x1;
	ny=nx;	
	
	[in,pos]=find(grain.index);
	
	disp(pos);
	
	if length(find(grain.index))==1  
	  name=sprintf('backpro%d.edf',pos);
	  if ~exist(name,'file')
	    im=gtMakeARTJob3D('difbw','backpro.par',pos,[],grain,parameters,1,length(pos),x1,nx,y1,ny,z1,nz,1,0);
	    edf_write(im,name,'float32');
	  else
	    im=edf_read(name);
	  end
	else
	  im=gtMakeARTJob3D('difbw','backpro.par',pos,[],grain,parameters,1,length(pos),x1,nx,y1,ny,z1,nz,1,0);
    end	
    
    cd(wd)
end	