/*
 * internal_cell_dot_product.cpp
 *
 *  Created on: Jul 13, 2012
 *      Author: ben
 */

#include "internal_cell_defs.h"

void mexFunction( int nlhs, mxArray * plhs[], int nrhs, const mxArray * prhs[] )
{
  if (nrhs != 2) {
    mexErrMsgIdAndTxt("C_FUN:cell_dot_product:wrong_argument",
        "Not enough arguments! you need to provide two cell arrays");
  }
  if (!(mxIsCell(prhs[0]) && mxIsCell(prhs[1]))) {
    mexErrMsgIdAndTxt("C_FUN:cell_dot_product:wrong_argument",
        "The arguments need to be Cell arrays");
  }

  plhs[0] = mxCreateDoubleScalar(cell_dot_product_sse(prhs[0], prhs[1]));
}



