function finalStruct = gtMergeStructs(struct1, struct2, var)
    % MERGESTRUCTS
    % finalStruct = mergeStructs(struct1, struct2, var)

    fn = [ fieldnames(struct1); fieldnames(struct2) ];
    tempStruct1 = struct2cell(struct1);
    tempStruct2 = struct2cell(struct2);
    if (any(size(tempStruct2) == 0))
        % In case the variable was not given by oarstat, we make it an empty
        % string
        struct2 = [];
        struct2.(var) = '';
        tempStruct2 = struct2cell(struct2);
        fn = [ fieldnames(struct1); fieldnames(struct2) ];
    end

    finalStruct = {cell2struct([tempStruct1; tempStruct2], fn, 1)};
end % end of sub-function mergeStructs

