%
% Converts beam energy to wavelength. 
%
% gtConvEnergyToWavelength(50)= 0.2479
%
% INPUT:    energy in keV
% 
% OUTPUT:   wavelength in angstroms
%


function lambda=gtConvEnergyToWavelength(energy)

lambda=12.3984428/energy ;

end
