function B1pencil_v2(vol_name, slice_num, start_row, thr)

if ~exist('vol_name','var') || isempty(vol_name)
    vol_name='vol_sum_flip2.edf';
end
if ~exist('slice_num','var') || isempty(slice_num)
    slice_num=33;
end
if ~exist('start_row','var') || isempty(start_row)
    start_row=1050;
end
if ~exist('thr','var') || isempty(thr)
    thr=40;
end

vol=edf_read(vol_name);
size(vol)
tmp=vol(start_row:end,:,slice_num);
tmp1=tmp(:,1:(size(vol,2)/2));
tmp2=tmp(:,((size(vol,2)/2)+1):end);

tmp4=roll(tmp2,17,-60);
diff=tmp1-tmp4;

figure; imshow([diff, tmp1, tmp4], [])

% thresholding
im=tmp1>thr;
im2=tmp4>thr;

spot5.img=tmp1;
spot5.thr=im;
spot6.img=tmp4;
spot6.thr=im2;

% ROI twins spot5
ROI=[67,417,260,530];
imgROI=im(67:417,260:530);
spot5.ROI=ROI;
spot5.imgROI=imgROI;
imgROI=double(imgROI);
edf_write(imgROI,'twins_zoom_spot5.edf');

% single twins spot5
t1=imgROI(115:300,16:105);
figure;imshow(t1,[])  
t2=imgROI(1:258,100:218); 
figure;imshow(t2,[])  

spot5.twin1_img=t1;
spot5.twin2_img=t2;

% ROI twins spot6
ROI2=[66,320,229,460];
imgROI2=im2(66:320,229:460);
spot6.ROI=ROI2;
spot6.imgROI=imgROI2;
imgROI2=double(imgROI2);
edf_write(imgROI2,'twins_zoom_spot6.edf');

% single twins spot6
t3=imgROI2(78:253,18:125);
figure;imshow(t3,[])  
t4=imgROI2(1:191,120:229); 
figure;imshow(t4,[])  

spot6.twin1_img=t3;
spot6.twin2_img=t4;


twins.t1=t1;
twins.t2=t2;
twins.t3=t3;
twins.t4=t4;

save('spot5.mat','spot5');
save('spot6.mat','spot6');

save('twins.mat','twins');

end






