function Omega = gtGetOmega(struct_ids, parameters)
%get the omega angles corresponding to MaxImage of struct_ids vector
%returns angle in radians!

if isempty(parameters)
  load('parameters.mat');
end

%change to database query

Omega=[];
for i=1:length(struct_ids)
  Omega(i) = mym(sprintf('select MaxImage from %sdifspot where difspotID = "%d"',parameters.acq.name,struct_ids(i)));
end
Omega = pi*(Omega./parameters.acq.nproj);


% %To return the negative angle!
% if strcmp(parameters.acq.name, 'Andreas3_')
%   Omega=-Omega;
%   disp('changing sign of OMEGA !!!')
% end