function hkl_reflections = gtGetReflections(hkl)    
% from input hkl [h k l], return matrix(n x 3) of all symmetry related
% reflections.  Uses Riso script GetCubicSymOp

%get symmetry operators
symm = gtGetCubicSymOp();

%apply to input reflection
for i=1:length(symm)
  hkl_reflections(i,:) = hkl*symm(i).g;
end


% %remove duplicates
hkl_reflections=unique(hkl_reflections, 'rows');

end
