function gtWriteStack(grainid)
%write input files for ART reconstruction
%simplified version more appropriate to new process - write only those
%projections retained after consistancy check has been run

%old version in 5_reconstruction/old/

  load('parameters.mat');


grainname=sprintf('grain%d_',grainid);
graindir=sprintf('%s/4_grains/%s',parameters.acq.dir,grainname);
if ~exist(graindir,'dir')
  mkdir(graindir);
end

%read stack from the grain%d_.mat file
graindata=load(sprintf('%s/4_grains/%s/%s.mat',parameters.acq.dir,grainname,grainname));
stack = graindata.stack;

%write the projections
for i=1:size(stack,3)
	name=sprintf('%s/%s%d.sdt',graindir,grainname,i);
	fid=fopen(name,'wb','l');
  stack(:,:,i)=gtImgMedianFilter2(stack(:,:,i));
  
	fwrite(fid,stack(:,:,i)','float32');
	fclose(fid);
	name=sprintf('%s/%s%d.spr',graindir,grainname,i);
  spr_write(name,2,parameters.acq.bb(3),parameters.acq.bb(4),3);
end	


