function p=gtRenderGrains(grains,map,varargin)
%

if nargin==3
  layer=varargin{1};
  % pick out grains in a single layer
  list=unique(grains(:,:,layer));
else
  list=unique(grains);
end

list(find(list==0))=[];%don't render the background
list(find(list==-1))=[];%don't render the conflicts

figure;
%go through graini by grain
for i=1:size(list,1)
  fprintf('rendering grain %d of %d...\n', i, length(list))
  voltest = zeros(size(grains));
  voltest = grains==list(i);
  voltest2=smooth3(voltest, 'box', 3);
  p(i)=patch(isosurface(voltest2, 0.5), 'FaceColor', map(list(i)+1, :), 'EdgeColor', 'none');
end
camlight
lighting phong
axis equal
axis vis3d
set(gca, 'xTick', []);
set(gca, 'yTick', []);
set(gca, 'zTick', []);

end
