
% simple function to write a colour look up table for VGStudio
% note - VGStudio sometimes seems to do funny things with the colour limits
% / colour range.  So be careful, what works in matlab might not work
% correctly in VGS...  Consider yourselves warned!
% first argument is the matlab colourmap
% second (option) is the .lut filename
%
% Andy King, 11/2009

function gtVGStudioLUT(map, varargin)

if ~isempty(varargin)
    filename=varargin{1};
else
    filename='VGStudio.lut';
end

fid=fopen(filename,'wt');

fprintf(fid,'; Color look up table\n\n');

taille=size(map,1);
amap=(255*map)+0.5;

;for i=1:taille
    fprintf(fid,'%f %f %f %f\n',(i-0.5)/taille,amap(i,1),amap(i,2),amap(i,3));
end

fclose(fid);