
disp(['running ' getenv('HOME') '/startup.m for DCT user'])

% collect everything needed to make matlab work for a DCT user.

% YG : Trick to use different version of matlabDCT (DCT_DIR env variable)
dct_dir_var = fullfile( getenv('DCT_DIR') );

if isempty(dct_dir_var)
    dct_dir = fullfile( getenv('HOME'), 'matlabDCT' );
else
    dct_dir = dct_dir_var; 
end


if exist( fullfile(dct_dir, 'initialise_gt.m'),'file')
    % use the user's local svn version
    current_dir=pwd;

    cd( dct_dir );
    disp(['startup.m is calling initialise_gt from user version of SVN (' dct_dir ')' ])
    initialise_gt

    cd(current_dir);
else
    disp('no SVN version of the DCT matlab code was found - do an SVN checkout')
end




