/*
 * internal_cell_square_norm.cpp
 *
 *  Created on: Jul 13, 2012
 *      Author: ben
 */

#include "internal_cell_defs.h"

void mexFunction( int nlhs, mxArray * plhs[], int nrhs, const mxArray * prhs[] )
{
  if (nrhs != 1) {
    mexErrMsgIdAndTxt("C_FUN:cell_square_norm:wrong_argument",
        "Not enough arguments! you need to provide a cell array");
  }
  if (!mxIsCell(prhs[0])) {
    mexErrMsgIdAndTxt("C_FUN:cell_square_norm:wrong_argument",
        "The argument needs to be a Cell array");
  }

  plhs[0] = mxCreateDoubleScalar(cell_square_norm_sse(prhs[0]));
}



