function [rows,ia,ib,diff]=findRowIntoMatrix(a,b)
% intersect matrices
% [rows,ia,ib,diff]=findRowIntoMatrix(a,b)

% % trasform to columns
% if size(a,1) < size(a,2)
%     a=a';
% end
% if size(b,1) < size(b,2)
%     b=b';
% end
if size(a,2)~=size(b,2) 
    error('The size in the second dimension of a and b must be equal.')
end

[rows,ia,ib]=intersect(a,b,'rows');

if isempty(rows)    
    % remove the last columns
    [rows2,ia2,ib2]=intersect(a(:,1:end-1),b(:,1:end-1),'rows');
    
    if isempty(rows2)
        [rows3,ia3,ib3]=intersect(a(:,2:end),b(:,2:end),'rows');
        
        if isempty(rows2)
            disp('No intersection')
        else
            noa=a(ia3,end);
            nob=b(ib3,end);
            rows=rows3;
            ia=ia3;
            ib=ib3;
        end
    else
       noa=a(ia2,end);
       nob=b(ib2,end);
       rows=rows2;
       ia=ia2;
       ib=ib2;
    end
else
    noa=a(ia,end);
    nob=b(ib,end);
    %[rows ia ib noa nob]
end

if nargout == 4
   diff=[noa nob]; 
end



end